package opc.ua.im.datatype;

import opc.ua.addressspace.nodeclasse.DataTypeNode;

public class ServerDiagnosticsSummaryDataType extends DataTypeNode {
	
	private long serverViewCount;
	private long currentSessionCount;
	private long cumulatedSessionCount;
	private long securityRejectedSessionCount;
	private long rejectedSessionCount;
	private long sessionTimeoutCount;
	private long sessionAbortCount;
	private long samplingRateCount;
	private long publishingIntervalCount;
	private long currentSubscriptionCount;
	private long cumulatedSubscriptionCount;
	private long securityRejectedRequestsCount;
	private long rejectedRequestsCount;

	
	public ServerDiagnosticsSummaryDataType() {
		setBrowseName("ServerDiagnosticsSummaryDataType");
	}

	public long getServerViewCount() {
		return serverViewCount;
	}
	public void setServerViewCount(long serverViewCount) {
		this.serverViewCount = serverViewCount;
	}
	public long getCurrentSessionCount() {
		return currentSessionCount;
	}
	public void setCurrentSessionCount(long currentSessionCount) {
		this.currentSessionCount = currentSessionCount;
	}
	public long getCumulatedSessionCount() {
		return cumulatedSessionCount;
	}
	public void setCumulatedSessionCount(long cumulatedSessionCount) {
		this.cumulatedSessionCount = cumulatedSessionCount;
	}
	public long getSecurityRejectedSessionCount() {
		return securityRejectedSessionCount;
	}
	public void setSecurityRejectedSessionCount(long securityRejectedSessionCount) {
		this.securityRejectedSessionCount = securityRejectedSessionCount;
	}
	public long getRejectedSessionCount() {
		return rejectedSessionCount;
	}
	public void setRejectedSessionCount(long rejectedSessionCount) {
		this.rejectedSessionCount = rejectedSessionCount;
	}
	public long getSessionTimeoutCount() {
		return sessionTimeoutCount;
	}
	public void setSessionTimeoutCount(long sessionTimeoutCount) {
		this.sessionTimeoutCount = sessionTimeoutCount;
	}
	public long getSessionAbortCount() {
		return sessionAbortCount;
	}
	public void setSessionAbortCount(long sessionAbortCount) {
		this.sessionAbortCount = sessionAbortCount;
	}
	public long getSamplingRateCount() {
		return samplingRateCount;
	}
	public void setSamplingRateCount(long samplingRateCount) {
		this.samplingRateCount = samplingRateCount;
	}
	public long getPublishingIntervalCount() {
		return publishingIntervalCount;
	}
	public void setPublishingIntervalCount(long publishingIntervalCount) {
		this.publishingIntervalCount = publishingIntervalCount;
	}
	public long getCurrentSubscriptionCount() {
		return currentSubscriptionCount;
	}
	public void setCurrentSubscriptionCount(long currentSubscriptionCount) {
		this.currentSubscriptionCount = currentSubscriptionCount;
	}
	public long getCumulatedSubscriptionCount() {
		return cumulatedSubscriptionCount;
	}
	public void setCumulatedSubscriptionCount(long cumulatedSubscriptionCount) {
		this.cumulatedSubscriptionCount = cumulatedSubscriptionCount;
	}
	public long getSecurityRejectedRequestsCount() {
		return securityRejectedRequestsCount;
	}
	public void setSecurityRejectedRequestsCount(long securityRejectedRequestsCount) {
		this.securityRejectedRequestsCount = securityRejectedRequestsCount;
	}
	public long getRejectedRequestsCount() {
		return rejectedRequestsCount;
	}
	public void setRejectedRequestsCount(long rejectedRequestsCount) {
		this.rejectedRequestsCount = rejectedRequestsCount;
	}

}
